/* ... */
/* this file is part of netraf project */
/* Copyright (c) 2005 M.S. */

#include "minigui.h"




/**
  Starts GUI (ncurses) mode and prepairing color_pairs.
*/
int begin_gui_mode(void){


  if(initscr() == NULL)
    return -1;
  if(start_color() == ERR)
    return -1;
  if(cbreak() == ERR)
    return -1;
  if(keypad(stdscr, TRUE) == ERR)
    return -1;
  if(noecho() == ERR)
    return -1;
  curs_set(0);

  init_pair(1, COLOR_YELLOW, COLOR_BLUE);
  init_pair(2, COLOR_BLACK, COLOR_CYAN);
  init_pair(3, COLOR_CYAN, COLOR_BLUE);
  init_pair(4, COLOR_WHITE, COLOR_BLUE);
  init_pair(5, COLOR_WHITE, COLOR_RED);
  init_pair(6, COLOR_BLACK, COLOR_BLUE);
  init_pair(7, COLOR_GREEN, COLOR_BLUE);
  init_pair(8, COLOR_WHITE, COLOR_CYAN);
  init_pair(9, COLOR_RED, COLOR_BLUE);
  init_pair(10, COLOR_GREEN, COLOR_BLACK);
  init_pair(11, COLOR_YELLOW, COLOR_BLACK);
  init_pair(12, COLOR_RED, COLOR_BLACK);

  ESCDELAY=0;

  return 0;
}




/**
  Ends GUI (ncurses) mode and flushing desktop.
*/
void end_gui_mode(void){


  wclear(stdscr);
  wrefresh(stdscr);
  curs_set(1);
  endwin();

  return;
}
